CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004471CentOS-5httpdpublic2010-08-06 02:022013-03-23 13:20
Reporterceakins 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.2 
Target VersionFixed in Version 
Summary0004471: httpd child segmentation fault
DescriptionConnection to the Apache server results in a blank page (using firefox), or Page cannot be displayed (using IE6/8).

All subsequent requests have the same result until the httpd process is restarted.
Additional Information[notice] child pid 6085 exit signal Segmentation fault (11)
is seen in the apache error log for every connection to the server

CentOS 5.2 64bit

httpd-2.2.3-11.el5_1.centos.3
mod_perl-2.0.2-6.3.el5
php-5.1.6-27.el5
awstats-6.95-1.el5
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0011721)
range (administrator)
2010-08-06 08:58

Is there a way to reproduce that?
(0011723)
kbsingh@karan.org (administrator)
2010-08-06 10:27

A yum upgrade wont go amiss either.
(0011781)
Elbereth (reporter)
2010-08-20 13:19

We just had the same problem on our server.

Restarting Apache solved it (/etc/init.d/httpd restart).

Server configuration:
CentOS release 5.5 (Final)
OVH Kernel: 2.6.32.2-xxxx-grs-ipv4-64 #1 (amd64 with GRSecurity patch)
CPU: Xeon E5405 (2Ghz)

We never had this problem before (this configuration is running for months).

Error in dmesg:
grsec: From 67.195.114.41: Segmentation fault occurred at (null) in /usr/sbin/httpd[httpd:18475] uid/euid:48/48 gid/egid:48/48, parent /usr/sbin/httpd[httpd:5037] uid/euid:0/0 gid/egid:0/0

Error in error_log of apache:
[Fri Aug 20 14:58:21 2010] [notice] child pid 18475 exit signal Segmentation fault (11)

Had many of those messages (with different child & IP).

Strange thing is 2 of our virtualhosts were working correctly and all the others were seg faulting (same instance of Apache).
(0011782)
Elbereth (reporter)
2010-08-20 13:22

Using httpd-2.2.3-43.el5.centos (x86_64).
(0011809)
am399 (reporter)
2010-09-01 11:40

I had this with CentOS 5.5, httpd-2.2.3-43.el5.centos.3 x86_64.

Running strace on the child process gave...

open("/usr/lib64/apr-util-1/apr_ldap-1.so", O_RDONLY) = -1 ENOENT (No such file or directory)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
chdir("/etc/httpd") = 0
rt_sigaction(SIGSEGV, {SIG_DFL, [], SA_RESTORER|SA_INTERRUPT, 0x2abe11877b10}, {SIG_DFL, [], SA_RESTORER|SA_RESETHAND, 0x2abe11877b10}, 8) = 0
kill(27561, SIGSEGV) = 0
rt_sigreturn(0x6ba9) = 46995892028160

Installing apr-util-ldap was a workaround for me.
(0011810)
range (administrator)
2010-09-01 12:04

So you are describing *THREE* different problems. Elbereth: You have a grsec kernel. That is not CentOS, so we frankly don't care here.

None of those seems to be reproducable.

What are we supposed to do here?
(0011811)
Elbereth (reporter)
2010-09-01 12:17

Thanks for not caring. Good to know.

Anyway we found the problem, it was the PHP version of CentOS which was too old in the repository and was causing this. An upgrade to 5.3.3 fixed the segfaulting... But that was not CentOS problem of course. Sorry for bothering you.
(0016838)
tigalch (developer)
2013-03-23 13:20

Marked as solved per reporters feedback

- Issue History
Date Modified Username Field Change
2010-08-06 02:02 ceakins New Issue
2010-08-06 08:58 range Note Added: 0011721
2010-08-06 10:27 kbsingh@karan.org Note Added: 0011723
2010-08-20 13:19 Elbereth Note Added: 0011781
2010-08-20 13:22 Elbereth Note Added: 0011782
2010-09-01 11:40 am399 Note Added: 0011809
2010-09-01 12:04 range Note Added: 0011810
2010-09-01 12:17 Elbereth Note Added: 0011811
2013-03-23 13:20 tigalch Note Added: 0016838
2013-03-23 13:20 tigalch Status new => resolved
2013-03-23 13:20 tigalch Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker